/** @file MOMVODCatalogue.idl
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

    [
		NoInterfaceObject,
        Conditional=RMAI,
        JSGenerateToNativeObject,
    ] interface MOMVODCatalogue : MOMContentCatalogue {
        MOMContentItem getPurchaseHistory();
        MOMContentItem getActiveRentals();
        MOMContentItem getExpired( in optional long since );
        MOMContentItem getAvailableServices();
    };
